<?php

/**
 * Main backend controller for magnalister. Initializes the magnalister app.
 */


if(!class_exists('Shopware_Controllers_Magnalister_Backend_MagnalisterAbstract')){
    if(interface_exists('\\Shopware\\Components\\CSRFWhitelistAware')){
        class Shopware_Controllers_Magnalister_Backend_MagnalisterAbstract extends Shopware_Controllers_Backend_ExtJs implements Shopware\Components\CSRFWhitelistAware{


            /**
             * we need it for showpare >= 5.2
             */
            public function getWhitelistedCSRFActions()
            {
                return array(
                    'app',
                    'getList',
                    'save',
                    'imageResize'
                );
            }

        }
    }else{
        class Shopware_Controllers_Magnalister_Backend_MagnalisterAbstract extends Shopware_Controllers_Backend_ExtJs{

        }   
    }
}